//
//  CanTest1.pde
//
//  ライブラリ "wCan2515" テストプログラム
//    copyright (c) 2010 T.Nakao
//
//    10/05/22 テストプログラム
//


#include <wCan2515.h>

wCan2515 Can(2, 3, 4, 5, CAN_BRP_16MHz_125KBPS);

// 初期化
void setup(void) {

	Can.SetMask(MASK_SID_ALL_HIT);
	Can.SetFilter(0);

	Can.SetFilter(0, FILTER_MOD_ALL_HIT);

	Can.SetOpMode(CAM_MODE_NORMAL);
}


byte CanBuf[14];

// メインループ
void loop(void) {
	byte size, datfrm;
	unsigned int msg;
	byte dat[8];

	if(Can.RxCheck()) {
		// 受信しているとき
		msg = Can.GetRxBuf(0, dat, &size, &datfrm);		// データとメッセージを取り出す。

		Can.SetTxBuf(0, msg, dat, size, false);	// CAN送信バッファへ送信メッセージ、データを設定

		Can.TxReq(0);
	}

	if(Can.CheckTxComp(0)) {
		// 送信完了チェック
	}

}

